# Generated by Django 3.2.5 on 2021-11-21 01:32

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('guildownersettings', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AutoRoles',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('emoji', models.CharField(max_length=10)),
                ('role_id', models.BigIntegerField()),
                ('role_type', models.CharField(choices=[('gender', 'Gender'), ('notif', 'Notifications'), ('comfort', 'Comfort')], max_length=10)),
                ('guild', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='guildownersettings.guildownersettings')),
            ],
        ),
    ]
